Pular para o conteúdo

Get liquidations

Requisição

List all liquidations by date range

Segurança
Bearer
Consulta
start_datestring, (date-time)

Start date (inclusive) of first activity. Specified in ISO-8601 format, for example 2018-08-06T23:13:55.997Z

end_datestring, (date-time)

End date (exclusive) of last activity. Specified in ISO-8601 format, for example 2018-08-06T23:13:55.997Z

payment_idArray of strings, (uuid)

RippleNet payment ID(s)

reference_idArray of strings

Unique reference ID(s)

statusstring

Liquidation status

pageinteger

The page number for paginated results. The value is zero-based, where 0 represents the first page.
Set it to 0 to get the first page of results.

Padrão:0
sizeinteger, [ 1 .. 200 ]

Number of liquidations to return per page.

Padrão:50
curl -i -X GET \
  'https://docs.ripple.com/_mock/pt-br/products/payments-odl/api-docs/smart_liquidation/reference/openapi/liquidations?start_date=2019-08-24T14%3A15%3A22Z&end_date=2019-08-24T14%3A15%3A22Z&payment_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&reference_id=string&status=string&page=0&size=50' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Respostas

Returns a paginated list of liquidations

Corpoapplication/json
firstbooleanobrigatório

True if this is the first page

lastbooleanobrigatório

True if this is the last page

numberintegerobrigatório

Page number

numberOfElementsintegerobrigatório

Number of elements in this request

sizeintegerobrigatório

Number of objects returned per page

totalElementsinteger, (int64)obrigatório

Total number of elements for the given request

totalPagesintegerobrigatório

Total number of pages for the given request

sortArray of objectsobrigatório

Sort details of this page

resultsArray of objectsobrigatório

Array of all liquidation objects that match the specified query parameters, if any

Resposta
{ "first": true, "last": true, "number": 0, "numberOfElements": 0, "size": 0, "totalElements": 0, "totalPages": 0, "sort": [ { … } ], "results": [ { … } ] }